The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Which Version of mod_security?

Discussion in 'Security' started by java_dude, Oct 14, 2011.

  1. java_dude

    java_dude Active Member

    Joined:
    Apr 23, 2004
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Hi, just a quick question about mod_security. I'm trying to find out which version EasyApache has installed on my server, but I'm unsure how to go about this. Is there a file I can check or somewhere in WHM I can find out? Thanks!
     
  2. ModServ

    ModServ Well-Known Member

    Joined:
    Oct 17, 2006
    Messages:
    332
    Likes Received:
    5
    Trophy Points:
    18
    Location:
    Egypt
    cPanel Access Level:
    Root Administrator
    I guess it will be 2.6.0, You find them logged in Apache logs

    Use this command:
    PHP:
    grep "modsecurity" /usr/local/apache/logs/error_log
    My result is:
     
    #2 ModServ, Oct 14, 2011
    Last edited: Oct 14, 2011
  3. java_dude

    java_dude Active Member

    Joined:
    Apr 23, 2004
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Ah, that did it! Thank you very much! I've been looking for a way to determine the version and this worked a charm. :)
     
  4. ModServ

    ModServ Well-Known Member

    Joined:
    Oct 17, 2006
    Messages:
    332
    Likes Received:
    5
    Trophy Points:
    18
    Location:
    Egypt
    cPanel Access Level:
    Root Administrator
    Glad to hear that, That took from me..I guess several months to know it :D

    You welcome anytime :)
     
Loading...

Share This Page